## frameworkintegration 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(FrameworkIntegration)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX FRAMEWORKINTEGRATION
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfigVersion.cmake"
                  SOVERSION 5)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"frameworkintegration5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5FrameworkIntegration")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5FrameworkIntegrationConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5FrameworkIntegrationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5FrameworkIntegrationTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

install(FILES plasma_workspace.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})


feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
message("** frameworkintegration uses Noto Sans (https://www.google.com/get/noto/) and Oxygen Mono (http://download.kde.org/stable/plasma/5.4.0/oxygen-fonts-5.4.0.tar.xz) fonts, ensure these are installed for use at runtime")

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

if(NOT Qt5Qml_FOUND)
    message(STATUS "Qt5Qml not found, QML autotests will not be built.")
endif()

include_directories( ${Qt5Gui_PRIVATE_INCLUDE_DIRS} )

set(CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_kdeglobals")
set(CHANGED_CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_changed_kdeglobals")
configure_file(kdeplatformtheme_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeplatformtheme_config.h)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

macro(FRAMEWORKINTEGRATION_TESTS _testname)
    add_executable(${_testname} ${_testname}.cpp ${ARGN})
    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS "-DUNIT_TEST")
    add_test(frameworkintegration-${_testname} ${_testname})
    ecm_mark_as_test(${_testname})
    ecm_mark_nongui_executable(${_testname})
    target_link_libraries(${_testname} Qt5::Test Qt5::DBus KF5::ConfigWidgets KF5::ConfigCore KF5::IconThemes KF5::Style KF5::KIOFileWidgets KF5::I18n KF5::Notifications)
endmacro()

frameworkintegration_tests(
  kdeplatformtheme_unittest
  ../src/platformtheme/kdeplatformtheme.cpp
  ../src/platformtheme/kfontsettingsdata.cpp
  ../src/platformtheme/khintssettings.cpp
  ../src/platformtheme/kdeplatformfiledialoghelper.cpp
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdeplatformsystemtrayicon.cpp
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
)

frameworkintegration_tests(
  kfontsettingsdata_unittest
  ../src/platformtheme/kfontsettingsdata.cpp
)

frameworkintegration_tests(
  kstyle_unittest
)

frameworkintegration_tests(
  kfiledialog_unittest
)

frameworkintegration_tests(
  ksni_unittest
)

frameworkintegration_tests(
  kdirselectdialog_unittest
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
)

if(Qt5Qml_FOUND)
    frameworkintegration_tests(kfiledialogqml_unittest)
    target_link_libraries(kfiledialogqml_unittest Qt5::Qml)
endif()

=== tests/CMakeLists.txt ===
add_executable(kstyletest kstyletest.cpp)
target_link_libraries(kstyletest Qt5::Widgets KF5::Style)

add_executable(qfiledialogtest qfiledialogtest.cpp)
target_link_libraries(qfiledialogtest Qt5::Core Qt5::Widgets)

## frameworkintegration 5.3.0

=== debian/changelog ===
frameworkintegration (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Don't build-dep on ttf-oxygen-font-family since it's a runtime dep

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:15:26 +0100

frameworkintegration (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Fix copyright file to resolve space-in-std-shortname-in-dep5-copyright
    lintian error. 
  * Add missing file to install.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2014 20:17:44 +0000

frameworkintegration (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Sun, 03 Aug 2014 18:36:56 -0700

frameworkintegration (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 16:10:38 +0200

=== debian/control ===
Source: frameworkintegration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kio-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libqt5widgets5,
               libqt5x11extras5-dev,
               oxygen-icon-theme,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtbase5-private-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/frameworkintegration.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/frameworkintegration.git

Package: frameworkintegration
Architecture: any
Depends: ttf-oxygen-font-family, ${misc:Depends}, ${shlibs:Depends}
Breaks: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
Description: KF5 cross-framework integration plugins
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.

Package: libkf5style-dev
Section: libdevel
Architecture: any
Depends: libkf5configwidgets-dev,
         libkf5iconthemes-dev,
         libkf5style5 (= ${binary:Version}),
         ${misc:Depends}
Description: KF5 cross-framework integration plugins - KStyle
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 libkf5style5 provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit
 various settings from the KDE Plasma Workspace, providing a
 consistent user experience. For example, this will ensure a
 consistent single-click or double-click activation setting,
 and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf5style5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KF5 cross-framework integration plugins - KStyle
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 libkf5style5 provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit
 various settings from the KDE Plasma Workspace, providing a
 consistent user experience. For example, this will ensure a
 consistent single-click or double-click activation setting,
 and the use of standard themed icons.

Package: frameworkintegration-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5style5 (= ${binary:Version}), ${misc:Depends}
Description: KF5 cross-framework integration plugins - debug files
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.
 .
 Contains debug symbols for frameworkintegration.

## frameworkintegration 5.9.0

=== debian/changelog ===
frameworkintegration (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:27:50 +0200

frameworkintegration (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:37:40 +0100

frameworkintegration (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:00:45 +0100

frameworkintegration (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:18:22 +0100

frameworkintegration (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:12:51 +0100

frameworkintegration (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:06:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,43 +6,44 @@
 Build-Depends: cmake,
                dbus-x11,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kio-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kio-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5notifications-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                libqt5widgets5,
                libqt5x11extras5-dev,
+               libxcursor-dev,
                oxygen-icon-theme,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qtbase5-private-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/frameworkintegration.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/frameworkintegration.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/frameworkintegration.git
 
 Package: frameworkintegration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=frameworkintegration-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/frameworkintegration-(.*)\.tar\.xz

http://download.kde.org/stable/frameworks/([\d\.]*)/frameworkintegration-(.*)\.tar\.xz

## frameworkintegration 5.15.0

=== debian/changelog ===
frameworkintegration (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:41:53 +0100

frameworkintegration (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:08:58 +0100

frameworkintegration (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:46:40 +0200

frameworkintegration (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge, remove broken backport.
  * Vivid backport. 
  * Apply 0001-Fix-changelog-format-to-avoid-a-lintian-warning.patch
    provided by santa. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:23:00 +0200

frameworkintegration (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 17:27:10 +0200

frameworkintegration (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:49:09 +0200

frameworkintegration (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:24:52 +0200

frameworkintegration (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 17:45:45 +0100

frameworkintegration (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Feb 2015 16:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,42 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kio-dev (>= 5.9.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5notifications-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               kio-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5configwidgets-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5notifications-dev (>= 5.15.0~),
+               libkf5widgetsaddons-dev (>= 5.15.0~),
                libqt5widgets5,
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4),
                libxcursor-dev,
-               oxygen-icon-theme,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4),
                qtbase5-private-dev
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
@@ -48,7 +29,9 @@
 
 Package: frameworkintegration
 Architecture: any
-Depends: ttf-oxygen-font-family, ${misc:Depends}, ${shlibs:Depends}
+Depends: ttf-oxygen-font-family | fonts-oxygen (>= 0.4~),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Description: KF5 cross-framework integration plugins
@@ -59,8 +42,8 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev,
-         libkf5iconthemes-dev,
+Depends: libkf5configwidgets-dev (>= 5.15.0~),
+         libkf5iconthemes-dev (>= 5.15.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         oxygen-icon-theme, kinit
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## frameworkintegration 5.18.0

=== debian/changelog ===
frameworkintegration (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:17:35 +0100

frameworkintegration (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Use Noto fonts by default.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:16 +0100

frameworkintegration (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:47 +0200

frameworkintegration (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport. 
  * Refresh install file.
  * Frameworkintegration requires kconf_update to build,
    which resides in libkf5config-bin. Adding to build deps. 
  * Revert last change, added runtime dep to kconfig instead
    due to the number of packages it affected. 
  * 
  * Fix merge madness. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 08 Oct 2015 20:22:00 -0700

frameworkintegration (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:28 +0100

frameworkintegration (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:31 +0200

frameworkintegration (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 22:03:37 +0200

frameworkintegration (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.4),
                libxcursor-dev,
@@ -22,16 +22,13 @@
                qtbase5-dev (>= 5.4),
                qtbase5-private-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/frameworkintegration.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/frameworkintegration.git
 
 Package: frameworkintegration
 Architecture: any
-Depends: ttf-oxygen-font-family | fonts-oxygen (>= 0.4~),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: fonts-noto-hinted, ${misc:Depends}, ${shlibs:Depends}
 Breaks: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Description: KF5 cross-framework integration plugins
@@ -42,8 +39,8 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.15.0~),
-         libkf5iconthemes-dev (>= 5.15.0~),
+Depends: libkf5configwidgets-dev (>= 5.16.0~),
+         libkf5iconthemes-dev (>= 5.16.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=frameworkintegration-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: acc
 Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/frameworkintegration-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/frameworkintegration-([\d.]+)\.tar\.xz

## frameworkintegration 5.26.0

=== debian/changelog ===
frameworkintegration (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:40:24 +0100

frameworkintegration (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:36:45 +0000

frameworkintegration (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:06:57 +0200

frameworkintegration (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Bump to latest. 
  * Debian merge: No remaining changes. 
  * Manual merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Removing files no long being built

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:07:34 -0700

frameworkintegration (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:46 +0100

frameworkintegration (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5configwidgets-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5notifications-dev (>= 5.18.0~),
-               libkf5widgetsaddons-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5configwidgets-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5notifications-dev (>= 5.26.0~),
+               libkf5widgetsaddons-dev (>= 5.26.0~),
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.4),
                libxcursor-dev,
@@ -23,8 +23,8 @@
                qtbase5-private-dev
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/frameworkintegration.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 
 Package: frameworkintegration
 Architecture: any
@@ -39,8 +39,8 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.16.0~),
-         libkf5iconthemes-dev (>= 5.16.0~),
+Depends: libkf5configwidgets-dev (>= 5.26.0~),
+         libkf5iconthemes-dev (>= 5.26.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
@@ -76,18 +76,3 @@
  consistent user experience. For example, this will ensure a
  consistent single-click or double-click activation setting,
  and the use of standard themed icons.
-
-Package: frameworkintegration-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5style5 (= ${binary:Version}), ${misc:Depends}
-Description: KF5 cross-framework integration plugins - debug files
- Framework Integration is a set of plugins responsible
- for better integration of Qt applications when running
- on a KDE Plasma workspace.
- .
- Applications do not need to link to this directly.
- .
- Contains debug symbols for frameworkintegration.

## frameworkintegration 5.27.0

=== debian/changelog ===
frameworkintegration (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:09:25 +0200

frameworkintegration (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:24 +0200

frameworkintegration (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Aug 2016 12:31:26 +0200

frameworkintegration (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 17:53:21 +0200

frameworkintegration (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update install files
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               kio-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5configwidgets-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5iconthemes-dev (>= 5.26.0~),
-               libkf5notifications-dev (>= 5.26.0~),
-               libkf5widgetsaddons-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.27.0~),
+               kio-dev (>= 5.22.0~),
+               libkf5config-dev (>= 5.27.0~),
+               libkf5configwidgets-dev (>= 5.27.0~),
+               libkf5i18n-dev (>= 5.22.0~),
+               libkf5iconthemes-dev (>= 5.27.0~),
+               libkf5notifications-dev (>= 5.27.0~),
+               libkf5widgetsaddons-dev (>= 5.27.0~),
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.4),
+               libqt5x11extras5-dev (>= 5.5.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qtbase5-private-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/frameworkintegration.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/frameworkintegration.git
 
 Package: frameworkintegration
 Architecture: any
@@ -39,8 +39,8 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.26.0~),
-         libkf5iconthemes-dev (>= 5.26.0~),
+Depends: libkf5configwidgets-dev (>= 5.27.0~),
+         libkf5iconthemes-dev (>= 5.27.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
@@ -58,6 +58,7 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
+Breaks: libkf5kdelibs4support-dev (<< 5.27)
 
 Package: libkf5style5
 Architecture: any

## frameworkintegration 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(FrameworkIntegration)
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,14 +17,14 @@
 include(ECMGenerateHeaders)
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-set(REQUIRED_QT_VERSION 5.3.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
+set(REQUIRED_QT_VERSION 5.5.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX FRAMEWORKINTEGRATION
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h"
@@ -33,16 +33,10 @@
 
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
 
-add_definitions(-DTRANSLATION_DOMAIN=\"frameworkintegration5\")
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-    ki18n_install(po)
-endif()
 add_subdirectory(src)
 add_subdirectory(autotests)
 add_subdirectory(tests)
@@ -69,4 +63,3 @@
 
 
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
-message("** frameworkintegration uses Noto Sans (https://www.google.com/get/noto/) and Oxygen Mono (http://download.kde.org/stable/plasma/5.4.0/oxygen-fonts-5.4.0.tar.xz) fonts, ensure these are installed for use at runtime")

=== debian/changelog ===
frameworkintegration (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.27.0~),
+               extra-cmake-modules (>= 5.28.0~),
                kio-dev (>= 5.22.0~),
-               libkf5config-dev (>= 5.27.0~),
-               libkf5configwidgets-dev (>= 5.27.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5configwidgets-dev (>= 5.28.0~),
                libkf5i18n-dev (>= 5.22.0~),
-               libkf5iconthemes-dev (>= 5.27.0~),
-               libkf5notifications-dev (>= 5.27.0~),
-               libkf5widgetsaddons-dev (>= 5.27.0~),
+               libkf5iconthemes-dev (>= 5.28.0~),
+               libkf5notifications-dev (>= 5.28.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.5.0~),
                libxcursor-dev,
@@ -39,8 +39,8 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.27.0~),
-         libkf5iconthemes-dev (>= 5.27.0~),
+Depends: libkf5configwidgets-dev (>= 5.28.0~),
+         libkf5iconthemes-dev (>= 5.28.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
@@ -58,7 +58,7 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
-Breaks: libkf5kdelibs4support-dev (<< 5.27)
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5style5
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: testsuite
 Depends: @, @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11, openbox,
+         xvfb, xauth, dbus (>= 1.8), openbox,
          oxygen-icon-theme, kinit
 Restrictions: rw-build-tree

## frameworkintegration 5.31.0

=== debian/changelog ===
frameworkintegration (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:44 +0000

frameworkintegration (5.30.0-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Add build deps - libpackagekitqt5-dev and libappstreamqt-dev

  [ Rik Mills ]
  * Add build dep on libkf5newstuff-dev
  * Intsall new files
  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:31 +0000

frameworkintegration (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Add build dep on libkf5package-dev
  * Drop old kio-dev build dep which is now replaced by libkf5kio-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,29 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kio-dev (>= 5.22.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5configwidgets-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.22.0~),
-               libkf5iconthemes-dev (>= 5.28.0~),
-               libkf5notifications-dev (>= 5.28.0~),
-               libkf5widgetsaddons-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libappstreamqt-dev,
+               libkf5config-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5package-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libpackagekitqt5-dev,
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.5.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qtbase5-private-dev
+               qtbase5-dev (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/frameworkintegration.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 
 Package: frameworkintegration
 Architecture: any
@@ -37,10 +41,10 @@
  on a KDE Plasma workspace.
 
 Package: libkf5style-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.28.0~),
-         libkf5iconthemes-dev (>= 5.28.0~),
+Depends: libkf5configwidgets-dev (>= 5.31.0~),
+         libkf5iconthemes-dev (>= 5.31.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
@@ -58,7 +62,6 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
-Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5style5
 Architecture: any

## frameworkintegration 5.38.0

=== debian/changelog ===
frameworkintegration (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:13:48 +0100

frameworkintegration (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:52 +0100

frameworkintegration (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:36 +0100

frameworkintegration (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:53 +0100

frameworkintegration (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:47 +0100

frameworkintegration (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libappstreamqt-dev,
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5package-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5configwidgets-dev (>= 5.38.0~),
+               libkf5i18n-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5kio-dev (>= 5.38.0~),
+               libkf5newstuff-dev (>= 5.38.0~),
+               libkf5notifications-dev (>= 5.38.0~),
+               libkf5package-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.6.1~),
@@ -43,8 +43,8 @@
 Package: libkf5style-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.31.0~),
-         libkf5iconthemes-dev (>= 5.31.0~),
+Depends: libkf5configwidgets-dev (>= 5.38.0~),
+         libkf5iconthemes-dev (>= 5.38.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
